dp12: xdp_rx_mst_example.c File Reference

| dp12 Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

Functions
xdp_rx_mst_example.c File Reference

## Overview

Contains a design example using the XDp driver with multi-stream transport (MST) functionality.

Note
  This example requires an AXI timer in the system.
  This example requires an interrupt controller in the system.
  For this example to work, the user will need to implement initialization of the system (Dprx_PlatformInit) as this is system-specific.
  For this example to display output, the user will need to implement the Dprx_Vidpipe* functions which configure and reset the video pipeline as required as this is system-specific.

    MODIFICATION HISTORY:

    Ver   Who  Date     Changes

    2.0   als  06/07/15 Initial creation.
    4.0   als  02/07/16 Added end of line reset for reduced blanking.
                        Allocate payload ISR to call XDp_RxAllocatePayloadStream.
    5.1   ms   01/23/17 Added xil_printf statement in main function to
                        ensure that "Successfully ran" and "Failed" strings
                        are available in all examples. This is a fix for
                        CR-965028.

## Functions
u32 | Dprx_MstExample (XDp *InstancePtr, u16 DeviceId, INTC *IntcPtr, u16 IntrId, u16 DpIntrId, XTmrCtr *TimerCounterPtr, u16 TimerId)
| The main entry point for the interrupt with timer example using the XDp driver. More...
int | main (void)
| This function is the main function of the XDp (operating in RX mode) interrupt with timer example. More...

## Function Documentation

u32 Dprx_MstExample | ( | XDp * | InstancePtr,
|  | u16 | DeviceId,
|  | INTC * | IntcPtr,
|  | u16 | IntrId,
|  | u16 | DpIntrId,
|  | XTmrCtr * | TimerCounterPtr,
|  | u16 | TimerId
| ) |  |

The main entry point for the interrupt with timer example using the XDp driver.

This function will set up the system, interrupt controller and interrupt handlers, and the custom sleep handler.

Parameters

  InstancePtr | is a pointer to the XDp instance.
  DeviceId | is the unique device ID of the DisplayPort RX core instance.
  IntcPtr | is a pointer to the interrupt instance.
  IntrId | is the unique device ID of the interrupt controller.
  DpIntrId | is the interrupt ID of the DisplayPort RX connection to the interrupt controller.
  TimerCounterPtr | is a pointer to the timer instance.
  TimerId | is the ID of the timer controller to use for delays.

Returns
  - XST_SUCCESS if the system was set up correctly and link training was successful.
  - XST_FAILURE otherwise.

Note
  None.

Referenced by main().

int main | ( | void |  | ) |

This function is the main function of the XDp (operating in RX mode) interrupt with timer example.

If the Dprx_MstExample function, which sets up the system succeeds, this function will wait for interrupts.

Parameters

  None. |

Returns
  - XST_FAILURE if the interrupt example was unsuccessful - system setup failed.

Note
  Unless setup failed, main will never return since Dprx_MstExample is blocking.

References Dprx_MstExample().